VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
WindowControllerAdapter Class Reference
Standalone Library

Window controller adapter More...

Inheritance diagram for WindowControllerAdapter:

## Public Member Functions
void | onSizeChanged (const IWindow &window, const CPoint &newSize) override
| Size of window is changed.
void | onPositionChanged (const IWindow &window, const CPoint &newPosition) override
| Position of window is changed.
void | onShow (const IWindow &window) override
| Window is shown.
void | onHide (const IWindow &window) override
| Window is hidden.
void | onClosed (const IWindow &window) override
| Window is closed.
void | onActivated (const IWindow &window) override
| Window is activated.
void | onDeactivated (const IWindow &window) override
| Window is deactivated.
CPoint | constraintSize (const IWindow &window, const CPoint &newSize) override
| Constraint the size of the window.
bool | canClose (const IWindow &window) override
| Can window close?
void | beforeShow (IWindow &window) override
| Window will show.
PlatformFrameConfigPtr | createPlatformFrameConfig (PlatformType platformType) override
| Create the platform frame configuration object.
void | onSetContentView (IWindow &window, const SharedPointer< CFrame > &contentView) override
| Content view of window is changed.
const IMenuBuilder * | getWindowMenuBuilder (const IWindow &window) const override
| Get the menu builder for this window.

## Detailed Description

Window controller adapter

## Member Function Documentation

void beforeShow | ( | IWindow & | window | ) |
| inline override virtual

Window will show.

Implements IWindowController.

bool canClose | ( | const IWindow & | window | ) |
| inline override virtual

Can window close?

Implements IWindowController.

CPoint constraintSize | ( | const IWindow & | window,
|  | const CPoint & | newSize
| ) |  |
| inline override virtual

Constraint the size of the window.

Implements IWindowController.

PlatformFrameConfigPtr createPlatformFrameConfig | ( | PlatformType | platformType | ) |
| inline override virtual

Create the platform frame configuration object.

Can be nullptr.

Implements IWindowController.

const IMenuBuilder* getWindowMenuBuilder | ( | const IWindow & | window | ) | const
| inline override virtual

Get the menu builder for this window.

Implements IWindowController.

void onActivated | ( | const IWindow & | window | ) |
| inline override virtual

Window is activated.

Implements IWindowListener.

void onClosed | ( | const IWindow & | window | ) |
| inline override virtual

Window is closed.

Implements IWindowListener.

void onDeactivated | ( | const IWindow & | window | ) |
| inline override virtual

Window is deactivated.

Implements IWindowListener.

void onHide | ( | const IWindow & | window | ) |
| inline override virtual

Window is hidden.

Implements IWindowListener.

void onPositionChanged | ( | const IWindow & | window,
|  | const CPoint & | newPosition
| ) |  |
| inline override virtual

Position of window is changed.

Implements IWindowListener.

void onSetContentView | ( | IWindow & | window,
|  | const SharedPointer< CFrame > & | contentView
| ) |  |
| inline override virtual

Content view of window is changed.

Implements IWindowController.

void onShow | ( | const IWindow & | window | ) |
| inline override virtual

Window is shown.

Implements IWindowListener.

void onSizeChanged | ( | const IWindow & | window,
|  | const CPoint & | newSize
| ) |  |
| inline override virtual

Size of window is changed.

Implements IWindowListener.

The documentation for this class was generated from the following file:

- windowcontroller.h